# ES定时清理索引
```
vim /root/.delete_es_index.sh
```
```
#!/bin/bash
#######################################################
# $Function:    delete es index
######################################################
CLEAN_LOG="/root/clean_index.log"
SERVER_PORT=xx.xx.xx.xx:9200
#保留时长
DELTIME=10
SECONDS=$(date -d  "$(date  +%F) -${DELTIME} days" +%s)
INDEXS=$(curl -u user:xxxxxxx -s "${SERVER_PORT}/_cat/indices?v"|awk '{print $3}')
echo -e "${INDEXS}"
echo "-------------------$(date +%F_%T)---------------"  >>${CLEAN_LOG}
for del_index in ${INDEXS}
do 
     timeString=$( echo ${del_index} |awk -F"-" '{print $NF}'|egrep "[0-9]*\.[0-9]*\.[0-9]*")
     if [ -n "$timeString" ]
     then
         indexDate=${timeString//./-}
         indexSecond=$( date -d ${indexDate} +%s )
         if [ $(( $SECONDS- $indexSecond )) -gt 0 ]
         then
             delResult=`curl -u user:xxxxxxx -s -XDELETE "${SERVER_PORT}/"${del_index}"?pretty" |sed -n '2p'`
             echo "delete index:$del_index result:$delResult" >>${CLEAN_LOG}
         fi
     fi
     
done 

```
**配置定时任务**
```
0 2 * * * /bin/bash /root/.delete_es_index.sh
```


## 批量清理容器日志
```
for i in $(find /var/lib/docker/containers/ -name "*-json.log");do echo "" > $i;done
```